Upstream information

CVE-2011-1166 at MITRE

Description

Xen, possibly before 4.0.2, allows local 64-bit PV guests to cause a denial of service (host crash) by specifying user mode execution without user-mode pagetables.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:A/AC:L/Au:S/C:N/I:N/A:C
Access Vector Adjacent Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 679344 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libvirt >= 0.7.6-1.21.1
  • libvirt-doc >= 0.7.6-1.21.1
  • libvirt-python >= 0.7.6-1.21.1
  • vm-install >= 0.4.30-0.3.2
  • xen >= 4.0.1_21326_08-0.5.1
  • xen-doc-html >= 4.0.1_21326_08-0.5.1
  • xen-doc-pdf >= 4.0.1_21326_08-0.5.1
  • xen-kmp-default >= 4.0.1_21326_08_2.6.32.36_0.5-0.5.1
  • xen-kmp-pae >= 4.0.1_21326_08_2.6.32.36_0.5-0.5.1
  • xen-libs >= 4.0.1_21326_08-0.5.1
  • xen-tools >= 4.0.1_21326_08-0.5.1
  • xen-tools-domU >= 4.0.1_21326_08-0.5.1
Patchnames:
slessp1-xen-201105
openSUSE 11.4
  • vm-install >= 0.4.30-0.3.1
  • xen >= 4.0.2_02-4.9.2
  • xen-debugsource >= 4.0.2_02-4.9.2
  • xen-devel >= 4.0.2_02-4.9.2
  • xen-doc-html >= 4.0.2_02-4.9.2
  • xen-doc-pdf >= 4.0.2_02-4.9.2
  • xen-kmp-default >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-kmp-default-debuginfo >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-kmp-desktop >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-kmp-desktop-debuginfo >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-kmp-pae >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-kmp-pae-debuginfo >= 4.0.2_02_k2.6.37.6_0.5-4.9.2
  • xen-libs >= 4.0.2_02-4.9.2
  • xen-libs-debuginfo >= 4.0.2_02-4.9.2
  • xen-tools >= 4.0.2_02-4.9.2
  • xen-tools-debuginfo >= 4.0.2_02-4.9.2
  • xen-tools-domU >= 4.0.2_02-4.9.2
  • xen-tools-domU-debuginfo >= 4.0.2_02-4.9.2
Patchnames:
xen-201105


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 xen Released
SLED-10-SP4 xen Released
SLES-10-SP3 xen Released
SLES-10-SP4 xen Released
SLES_LTSS-10-SP4 xen Released
SUSE Linux Enterprise Desktop 11 SP1 xen Released
SUSE Linux Enterprise Server 11 SP1 xen Released
SUSE Linux Enterprise Server 11 SP1 LTSS xen Released
SUSE Linux Enterprise Server for SAP Business All-in-One xen Released
SUSE Linux Enterprise Software Development Kit 11 SP1 xen Released